file(GLOB_RECURSE flappy_bird_src "*.cpp")
file(GLOB_RECURSE flappy_bird_lib "lib/*.hpp" "lib/*.h")
file(GLOB_RECURSE flappy_bird_assets "assets/*")

add_executable(flappy_bird ${flappy_bird_src} ${flappy_bird_lib})
target_link_libraries(flappy_bird paradiso_core)

add_custom_command(TARGET flappy_bird POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E copy_directory
                       ${CMAKE_CURRENT_SOURCE_DIR}/assets/ $<TARGET_FILE_DIR:flappy_bird>/assets)
                